petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPSetFischerGuess

Use the Paul Fischer algorithm created by KSPFischerGuessCreate()

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPSetFischerGuess(KSP ksp,KSPFischerGuess guess)

Logically Collective on KSP Many br

### Input Parameters

| ksp | - the Krylov context Many br
| guess | - the object created with KSPFischerGuessCreate() Many br

Many br

Notes: this allows a single KSP to be used with several different initial guess generators (likely for different linear Many brsolvers, see KSPSetPC()). Many br

This increases the reference count of the guess object, you must destroy the object with KSPFischerGuessDestroy() Many brbefore the end of the program. Many br

### Keywords

KSP, set, options, prefix, database

### See Also

KSPSetOptionsPrefix(), KSPAppendOptionsPrefix(), KSPSetUseFischerGuess(), KSPSetFischerGuess(), KSPGetFischerGuess()

Level:advanced
Location:src/ksp/ksp/interface/itcl.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages